unit dateTimePickerN;

interface

uses
  Windows, Messages, SysUtils, Classes, Controls, ComCtrls;

type
  TOperationN = (ONnone,OnEqual,ONLarge,ONLargeEqual,ONSmall,ONSmallEqual,ONLikeFirst,ONLikeMid,ONLikeEnd);

  TDateTimePickerN = class(TdatetimePicker)
  private
    { Private declarations }
  protected
    { Protected declarations }
     fFieldName:string;
     fdatasetname:string;
     fOp:TOperationN;
     procedure SetDatasetName(Value:string);
     procedure SetFieldName(Value:String);
     procedure SetOp(Value:TOperationN);
  public
    { Public declarations }
  published
    { Published declarations }
     property DataSetname:String read fdatasetName write SetDatasetName;
     property FieldName: String read fFieldName write SetFieldName;
     property Op:TOperationN read fOp write SetOp default ONnone;
     property OnMouseDown;
     property OnMouseMove;
     property OnMouseUp;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('ComponentN', [TdateTimePickerN]);
end;

procedure TDateTimePickerN.SetFieldName(Value:string);
begin
   fFieldName:=Value;
end;

procedure TDateTimePickerN.SetOp(Value:TOperationN);
begin
   fOp:=Value;
end;

procedure TDateTimePickerN.SetDatasetName(Value:string);
begin
   fDataSetName:=Value;
end;

end.
